### Hierarchy

- NoopRating

### Implements

- IRenderable
- IStackeable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render

## Constructors

### constructor

- new NoopRating(message: ISpecification): NoopRating

- - Defined in lib/renderable/rating/NoopRating.ts:5

  #### Parameters

  - ##### message: ISpecification

  #### Returns NoopRating

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/rating/NoopRating.ts:5

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IStackeable.render

  - Defined in lib/renderable/rating/NoopRating.ts:11

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

Generated using TypeDoc